package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Sage_paysRepository;
import com.realnet.vpspack.Entity.Sage_pays
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class Sage_paysService {
@Autowired
private Sage_paysRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Sage_pays Savedata(Sage_pays data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Sage_pays save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Sage_pays> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Sage_pays> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Sage_pays> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Sage_pays getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Sage_pays update(Sage_pays data,Integer id) {
	Sage_pays old = Repository.findById(id).get();
old.setVender_id(data.getVender_id());

old.setPassword(data.getPassword());

old.setUrl(data.getUrl());

final Sage_pays test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
